#include <iostream>

using namespace std;

long long ans = 0;
int n, c;

void solve(int pos, int last) {
	if (n == pos) {
		++ans;
		return;
	}
	for (int j = last; j <= c; j += last) {
		solve(pos + 1, j);
	}
}

int main() {
	cin >> n >> c;
	solve(0, 1);
	cout << ans;
	return 0;
}
